
Redmine - Defect #21287

Handle Net::OpenTimeout errors more cleanly (currently, gives Error 500)

2015-11-20 17:59 - Olivier Houdas

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Email notifications Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 3.1.1

Description

Steps:

1. Display an issue in Redmine

2. Edit it with a note so that Redmine sends a mail to at least one user, and before saving it, unplug the configured SMTP server

3. Save the changes

Results :

We end up with

F, [2015-11-12T15:31:48.599086 #32243] FATAL -- : 

Net::OpenTimeout (execution expired):

  app/models/mailer.rb:455:in `deliver_mail'

  config/initializers/10-patches.rb:154:in `deliver'

  app/models/mailer.rb:95:in `block (2 levels) in deliver_issue_edit'

  app/models/issue.rb:909:in `block in each_notification'

  app/models/issue.rb:908:in `each'

  app/models/issue.rb:908:in `each_notification'

  app/models/mailer.rb:94:in `block in deliver_issue_edit'

  app/models/journal.rb:90:in `block in each_notification'

  app/models/journal.rb:88:in `each'

  app/models/journal.rb:88:in `each_notification'

  app/models/mailer.rb:93:in `deliver_issue_edit'

  app/models/journal.rb:302:in `send_notification'

  app/models/journal.rb:67:in `save'

  app/models/issue.rb:1623:in `create_journal'

  app/models/issue.rb:175:in `create_or_update'

  app/controllers/issues_controller.rb:489:in `block in save_issue_with_child_records'

  app/controllers/issues_controller.rb:477:in `save_issue_with_child_records'

  app/controllers/issues_controller.rb:187:in `update'

  lib/redmine/sudo_mode.rb:63:in `sudo_mode'

in the log    

and the user gets an Error 500 page, and calls the admin.

It would be nicer to save the changes and flash an error that the mail could not be sent.

History

#1 - 2015-11-20 18:14 - Olivier Houdas

- Status changed from New to Resolved

Sorry, this behaviour is due to a plugin that I forgot to disable before testing.

I will raise the issue to the plugin owner.

#2 - 2015-11-21 07:55 - Toshi MARUYAMA

- Status changed from Resolved to Closed

- Resolution set to Invalid

Thank you for your feedback.
